# Generated by Django 4.1.7 on 2023-03-06 16:52

import apps.core.utils
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import storages.backends.s3boto3


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('contenttypes', '0002_remove_content_type_name'),
        ('core', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(db_index=True, max_length=255, verbose_name='name')),
            ],
            options={
                'verbose_name': 'Category',
                'verbose_name_plural': 'Categories',
                'ordering': ('name',),
            },
        ),
        migrations.CreateModel(
            name='Tag',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(db_index=True, max_length=255, verbose_name='name')),
            ],
            options={
                'verbose_name': 'Tag',
                'verbose_name_plural': 'Tags',
                'ordering': ('name',),
            },
        ),
        migrations.AlterModelOptions(
            name='video',
            options={'ordering': ('title',), 'verbose_name': 'Video', 'verbose_name_plural': 'Videos'},
        ),
        migrations.AddField(
            model_name='video',
            name='closed_captions',
            field=models.CharField(blank=True, max_length=255, null=True, verbose_name='closed_captions'),
        ),
        migrations.AddField(
            model_name='video',
            name='creator',
            field=models.ForeignKey(blank=True, default=1, on_delete=django.db.models.deletion.CASCADE, related_name='creator_video', to=settings.AUTH_USER_MODEL, verbose_name='creator'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='video',
            name='description',
            field=models.TextField(blank=True, null=True, verbose_name='description'),
        ),
        migrations.AddField(
            model_name='video',
            name='duration',
            field=models.IntegerField(blank=True, null=True, verbose_name='duration'),
        ),
        migrations.AddField(
            model_name='video',
            name='slug',
            field=models.SlugField(blank=True, max_length=255, unique=True, verbose_name='slug'),
        ),
        migrations.AddField(
            model_name='video',
            name='status',
            field=models.CharField(choices=[('ready', 'Ready'), ('progress', 'Progress'), ('fail', 'Fail')], default='progress', max_length=255, verbose_name='status'),
        ),
        migrations.AddField(
            model_name='video',
            name='thumbnail',
            field=models.ImageField(blank=True, max_length=500, null=True, storage=storages.backends.s3boto3.S3Boto3Storage(bucket_name='clutchpoints-videos'), upload_to=apps.core.utils.asset_upload, verbose_name='thumbnail'),
        ),
        migrations.AlterField(
            model_name='video',
            name='local_file',
            field=models.FileField(blank=True, null=True, upload_to='videos', verbose_name='local file'),
        ),
        migrations.AlterField(
            model_name='video',
            name='s3_file',
            field=models.FileField(blank=True, max_length=500, null=True, storage=storages.backends.s3boto3.S3Boto3Storage(bucket_name='clutchpoints-videos'), upload_to='', verbose_name='AWS S3 file'),
        ),
        migrations.AlterField(
            model_name='video',
            name='title',
            field=models.CharField(max_length=255, verbose_name='title'),
        ),
        migrations.CreateModel(
            name='TagToObject',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('object_id', models.PositiveIntegerField(blank=True, null=True, verbose_name='object_id')),
                ('content_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='content_type_tag', to='contenttypes.contenttype', verbose_name='content type')),
                ('tag', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='tag', to='core.tag')),
            ],
            options={
                'verbose_name': 'Tag to object',
                'verbose_name_plural': 'Tags to objects',
            },
        ),
        migrations.CreateModel(
            name='Playlist',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('updated', models.DateTimeField(auto_now=True, db_index=True, verbose_name='updated')),
                ('created', models.DateTimeField(auto_now_add=True, db_index=True, verbose_name='created')),
                ('title', models.CharField(max_length=255, verbose_name='title')),
                ('description', models.TextField(blank=True, null=True, verbose_name='description')),
                ('sort', models.CharField(blank=True, choices=[('last_updated', 'Last updated'), ('most_recently_published', 'Most recently published'), ('title_a_z', 'Title A-Z'), ('title_z_a', 'Title Z-A'), ('shorter_first', 'Shorter first'), ('longer_first', 'Longer first')], max_length=255)),
                ('type', models.CharField(blank=True, choices=[('dynamic', 'Dynamic'), ('freestyle', 'Freestyle')], max_length=255)),
                ('mrss', models.CharField(blank=True, max_length=255, null=True, verbose_name='mrss')),
                ('json', models.CharField(blank=True, max_length=255, null=True, verbose_name='json')),
                ('videos', models.ManyToManyField(related_name='playlist', to='core.video')),
            ],
            options={
                'verbose_name': 'Playlist',
                'verbose_name_plural': 'Playlists',
                'ordering': ('title',),
            },
        ),
        migrations.AddField(
            model_name='video',
            name='categories',
            field=models.ManyToManyField(blank=True, related_name='video', to='core.category', verbose_name='categories'),
        ),
    ]
