from rest_framework.pagination import LimitOffsetPagination


class LimitPagination(LimitOffsetPagination):
    default_limit = 20

    def paginate_queryset(self, queryset, request, view=None):
        if hasattr(view, 'default_limit'):
            self.default_limit = view.default_limit
        return super(LimitPagination, self).paginate_queryset(
            queryset, request, view=view)
